import request from '../utils/requestParking.js';
 
import Qs from 'qs';

export function getTemporaryCarNum(data) {
	 
	return request({
		method: 'post',
		data:data ,
		header:{'Content-Type':'application/json'},
		url: '/parkingRecord/getTemporaryCarNum'
	})
}

export function carPayDetail(data) {
	 
	return request({
		method: 'post',
		data:data ,
		url: '/parkingRecord/carPayDetail'
	})
}

export function channelPayDetail(data) {
	 
	return request({
		method: 'post',
		data:data ,
	
		url: '/parkingRecord/channelPayDetail' 
	})
}


export function parkingTradeWebPay(data) {
	 
	return request({
		method: 'post',
		data:data ,
		url: '/aliPay/parkingTradeWebPay' 
	})
}

export function parkingWxPay(data) {
	 
	return request({
		method: 'post',
		data:data ,
		url: '/wxPay/parkingWxPay' 
	})
}

export function generateTemporaryCarNum(data) {
	 
	return request({
		method: 'post',
		data:data ,
		header:{'Content-Type':'application/json'},
		url: '/parkingRecord/generateTemporaryCarNum'
	})
}

export function temporaryCarNumInPark(data) {
	 
	return request({
		method: 'post',
		data:data ,
		header:{'Content-Type':'application/json'},
		url: '/parkingRecord/temporaryCarNumInPark'
	})
}


export function parkTradePrecreatePay(data) {
	 
	return request({
		method: 'post',
		data:data ,
	//	header:{'Content-Type':'application/json'},
		url: '/aliPay/parkTradePrecreatePay'
	})
}
